Loading...
Searching...
No Matches
Opm::RestartIO::RstSegment Struct Reference

## Public Member Functions

| RstSegment (const UnitSystem &unit_system, int segment_number, const int *iseg, const double *rseg)

## Public Attributes

int | segment {}
int | outlet_segment {}
int | branch {}
int | segment_type {}
int | icd_scaling_mode {}
int | icd_status {}
double | dist_outlet {}
double | outlet_dz {}
double | diameter {}
double | roughness {}
double | area {}
double | volume {}
double | dist_bhp_ref {}
double | node_depth {}
double | total_flow {}
double | water_flow_fraction {}
double | gas_flow_fraction {}
double | pressure {}
double | valve_length {}
double | valve_area {}
double | valve_flow_coeff {}
double | valve_max_area {}
double | base_strength {}
double | fluid_density {}
double | fluid_viscosity {}
double | critical_water_fraction {}
double | transition_region_width {}
double | max_emulsion_ratio {}
double | max_valid_flow_rate {}
double | icd_length {}
double | icd_scaling_factor {}
double | valve_area_fraction {}
double | aicd_flowrate_exponent {}
double | aicd_viscosity_exponent {}
double | aicd_oil_dens_exponent {}
double | aicd_wat_dens_exponent {}
double | aicd_gas_dens_exponent {}
double | aicd_oil_visc_exponent {}
double | aicd_wat_visc_exponent {}
double | aicd_gas_visc_exponent {}
double | aicd_density_exponent {1.0}
std::vector< int > | inflow_segments

The documentation for this struct was generated from the following files:

- opm/io/eclipse/rst/segment.hpp
- opm/io/eclipse/rst/segment.cpp